Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.transport
Enum MessageAdapterSerialization.Type

    java.lang.Object
      java.lang.Enum<MessageAdapterSerialization.Type>
          org.mule.transport.MessageAdapterSerialization.Type

All Implemented Interfaces:
  Serializable, Comparable<MessageAdapterSerialization.Type>

Enclosing interface:
  MessageAdapterSerialization

    public static enum MessageAdapterSerialization.Type

extends Enum<MessageAdapterSerialization.Type>

Enum Constant Summary
`CustomSerialization` Delegate serialization to the MessageAdapter
`DefaultSerialization` Use regular Java serialization to marshal the MessageAdapter

Method Summary
`static MessageAdapterSerialization.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageAdapterSerialization.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DefaultSerialization

    public static final MessageAdapterSerialization.Type DefaultSerialization

  Use regular Java serialization to marshal the MessageAdapter

### CustomSerialization

    public static final MessageAdapterSerialization.Type CustomSerialization

  Delegate serialization to the MessageAdapter

Method Detail

### values

    public static final MessageAdapterSerialization.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessageAdapterSerialization.Type c : MessageAdapterSerialization.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessageAdapterSerialization.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.